GET
/v1/mgmt/tenant/all

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Load all tenants, using a valid management key.

This API endpoint returns details of all configured tenants within the Descope instance. The response includes an array of the tenants and these details for each tenant:

  • id
  • name
  • selfProvisioningDomains

Next Steps

See also

curl -X GET "https://api.descope.com/v1/mgmt/tenant/all"
{  "tenants": [    {      "id": "string",      "name": "string",      "selfProvisioningDomains": [        "string"      ],      "customAttributes": {        "attribute-key": "attribute-value"      },      "authType": "string",      "domains": [        "string"      ],      "createdTime": 0,      "disabled": true,      "enforceSSO": true,      "enforceSSOExclusions": [        "string"      ],      "federatedAppIds": [        "string"      ],      "parent": "string",      "successors": [        "string"      ],      "defaultRoles": [        "string"      ],      "roleInheritance": "string",      "additionalSSOConfigs": [        {          "ssoId": "string",          "name": "string",          "authType": "string"        }      ],      "idJagSettings": {        "issuers": {          "property1": {            "jwksUri": "string",            "signAlgorithm": "string",            "userInfoUri": "string",            "externalIdFieldName": "string"          },          "property2": {            "jwksUri": "string",            "signAlgorithm": "string",            "userInfoUri": "string",            "externalIdFieldName": "string"          }        },        "jwtBearerGrantTypeAudienceToUse": "string",        "jwtBearerGrantTypeScopeToUse": "string",        "jwtBearerGrantTypeCustomClaimsToUse": "string"      },      "idJagEnabled": true    }  ]}
export interface Response {tenants?: {id?: stringname?: stringselfProvisioningDomains?: string[]/** * Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays. */customAttributes?: {[k: string]: string}authType?: stringdomains?: string[]createdTime?: numberdisabled?: booleanenforceSSO?: booleanenforceSSOExclusions?: string[]federatedAppIds?: string[]parent?: stringsuccessors?: string[]defaultRoles?: string[]roleInheritance?: stringadditionalSSOConfigs?: AdditionalSSOConfiguration[]idJagSettings?: {issuers?: {[k: string]: IssuerSettings}jwtBearerGrantTypeAudienceToUse?: stringjwtBearerGrantTypeScopeToUse?: stringjwtBearerGrantTypeCustomClaimsToUse?: string}idJagEnabled?: boolean}[]}export interface AdditionalSSOConfiguration {ssoId?: stringname?: stringauthType?: string}export interface IssuerSettings {jwksUri?: stringsignAlgorithm?: stringuserInfoUri?: stringexternalIdFieldName?: string}
Was this helpful?